SHARP

RoBoHoN

RoBoHoN

ロボホンアプリテンプレートの導入について

フォーラム RoBoHoN SDKについて ロボホンアプリテンプレートの導入について

  • 作成者
    トピック
  • #1852

    初めまして、今回ロボホンを使った開発をしたいと思い環境構築をしてる途中で壁にぶち当たってしまったので質問をさせていただきます。
    初めにAndroidStudio3.4.2で環境構築を進めており0803_SR01MW_RoBoHoN_Template_V01.04.00の4章まで行ったところで「New Project」からRobohon Activityの欄が無いためが選べず、ここでドキュメントに3.1で動作できるという文言に気づいた為3.4.2をアンインストールして3.1.4にインストールしなおして同じ手順で進めて再度4章のRobohonActivityを選ぶところで先ほどと同じくその欄が存在せず上手くいきません。

    また、「4. Android Studio のバージョンに応じて zip 展開後フォルダ内の plugins_x.x フォルダを plugins にリネームし、
    plugins フォルダに上書きコピーする」の手順でリネームしたpluginsフォルダをAndroidStudioフォルダ内にあるpluginsフォルダに上書きコピーする方法は、エクスプローラー上でリネームしたpluginsフォルダをコピーしてAndroidStudioフォルダ内に貼り付けをするということでよろしいのでしょうか?

2件の返信を表示中 - 1 - 2件目 (全2件中)
  • 投稿者
    返信
  • #1853

    先ほどの件ですが、pluginsフォルダの内容物を見直したところ上書きコピーがうまくいっておらず、中身が空フォルダになっていたので、中身が詰まったほうのフォルダをコピーして再度RobohonActivityをするところでうまく表示することができました。

    が、追加で問題が出ており、Gradle syncがうまくいきません、どちらかというとAndroidStudio側の問題のようにも思えるのですが「Unable to resolve dependency for ‘:app@debug/compileClasspath’: Could not find any version that matches com.android.support:appcompat-v7:29.+.」のようなエラーメッセージが似たものを合わせて5つぐらい出ています、どうしたらよいのでしょうか?

    #1854

    お世話になっております。ロボホン開発チームです。

    ご迷惑おかけしており申し訳ありません。テンプレートですがAndroid Studioのバージョンアップについて
    いけずアップデートを断念しております。
    SDKに同梱しておりますサンプルアプリをインポートして編集する形で開発を進めていただくようお願いいたします。

2件の返信を表示中 - 1 - 2件目 (全2件中)

このトピックに返信するにはログインが必要です。